textproc/ruby-actiontext61 - The NetBSD Packages Collection

Rich text framework (for Rails 6.0)

Action Text

Action Text brings rich text content and editing to Rails.  It includes the
[Trix editor](https://trix-editor.org) that handles everything from formatting
to links to quotes to lists to embedded images and galleries.  The rich text
content generated by the Trix editor is saved in its own RichText model that's
associated with any existing Active Record model in the application.  Any
embedded images (or other attachments) are automatically stored using Active
Storage and associated with the included RichText model.

You can read more about Action Text in the [Action Text
Overview](https://edgeguides.rubyonrails.org/action_text_overview.html) guide.

This is for Ruby on Rails 6.1.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/ruby-activestorage61 textproc/ruby-nokogiri lang/ruby26-base

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfruby25-actiontext61-6.1.3.tgz
NetBSD 8.0earmv7hfruby26-actiontext61-6.1.3.tgz
NetBSD 8.0earmv7hfruby27-actiontext61-6.1.3.tgz
NetBSD 8.0i386ruby25-actiontext61-6.1.3.tgz
NetBSD 8.0i386ruby26-actiontext61-6.1.3.tgz
NetBSD 8.0i386ruby27-actiontext61-6.1.3.tgz
NetBSD 8.0powerpcruby25-actiontext61-6.1.3.tgz
NetBSD 8.0powerpcruby26-actiontext61-6.1.3.tgz
NetBSD 8.0powerpcruby27-actiontext61-6.1.3.tgz
NetBSD 8.0powerpcruby25-actiontext61-6.1.3.tgz
NetBSD 8.0powerpcruby26-actiontext61-6.1.3.tgz
NetBSD 8.0powerpcruby27-actiontext61-6.1.3.tgz
NetBSD 8.0x86_64ruby25-actiontext61-6.1.3.tgz
NetBSD 8.0x86_64ruby26-actiontext61-6.1.3.tgz
NetBSD 8.0x86_64ruby27-actiontext61-6.1.3.tgz
NetBSD 9.0aarch64ruby25-actiontext61-6.1.3.tgz
NetBSD 9.0aarch64ruby26-actiontext61-6.1.3.tgz
NetBSD 9.0aarch64ruby27-actiontext61-6.1.3.tgz
NetBSD 9.0aarch64ruby30-actiontext61-6.1.3.tgz
NetBSD 9.0alpharuby25-actiontext61-6.1.3.tgz
NetBSD 9.0alpharuby26-actiontext61-6.1.3.tgz
NetBSD 9.0alpharuby27-actiontext61-6.1.3.tgz
NetBSD 9.0earmv6hfruby25-actiontext61-6.1.3.tgz
NetBSD 9.0earmv6hfruby26-actiontext61-6.1.3.tgz
NetBSD 9.0earmv6hfruby27-actiontext61-6.1.3.tgz
NetBSD 9.0earmv6hfruby30-actiontext61-6.1.3.tgz
NetBSD 9.0earmv7hfruby25-actiontext61-6.1.3.tgz
NetBSD 9.0earmv7hfruby26-actiontext61-6.1.3.tgz
NetBSD 9.0earmv7hfruby27-actiontext61-6.1.3.tgz
NetBSD 9.0earmv7hfruby30-actiontext61-6.1.3.tgz
NetBSD 9.0earmv7hfruby25-actiontext61-6.1.3.tgz
NetBSD 9.0earmv7hfruby26-actiontext61-6.1.3.tgz
NetBSD 9.0earmv7hfruby27-actiontext61-6.1.3.tgz
NetBSD 9.0earmv7hfruby30-actiontext61-6.1.3.tgz
NetBSD 9.0i386ruby25-actiontext61-6.1.3.tgz
NetBSD 9.0i386ruby26-actiontext61-6.1.3.tgz
NetBSD 9.0i386ruby27-actiontext61-6.1.3.tgz
NetBSD 9.0i386ruby30-actiontext61-6.1.3.tgz
NetBSD 9.0mips64ebruby26-actiontext61-6.1.3.tgz
NetBSD 9.0powerpcruby25-actiontext61-6.1.3.tgz
NetBSD 9.0powerpcruby26-actiontext61-6.1.3.tgz
NetBSD 9.0powerpcruby27-actiontext61-6.1.3.tgz
NetBSD 9.0powerpcruby30-actiontext61-6.1.3.tgz
NetBSD 9.0powerpcruby25-actiontext61-6.1.3.tgz
NetBSD 9.0powerpcruby26-actiontext61-6.1.3.tgz
NetBSD 9.0powerpcruby27-actiontext61-6.1.3.tgz
NetBSD 9.0powerpcruby30-actiontext61-6.1.3.tgz
NetBSD 9.0sparc64ruby25-actiontext61-6.1.3.tgz
NetBSD 9.0sparc64ruby26-actiontext61-6.1.3.tgz
NetBSD 9.0sparc64ruby27-actiontext61-6.1.3.tgz
NetBSD 9.0sparc64ruby30-actiontext61-6.1.3.tgz
NetBSD 9.0x86_64ruby25-actiontext61-6.1.3.tgz
NetBSD 9.0x86_64ruby26-actiontext61-6.1.3.tgz
NetBSD 9.0x86_64ruby27-actiontext61-6.1.3.tgz
NetBSD 9.0x86_64ruby30-actiontext61-6.1.3.tgz
NetBSD 9.0x86_64ruby25-actiontext61-6.1.3.tgz
NetBSD 9.0x86_64ruby26-actiontext61-6.1.3.tgz
NetBSD 9.0x86_64ruby27-actiontext61-6.1.3.tgz
NetBSD 9.0x86_64ruby30-actiontext61-6.1.3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.